import 'dart:async';
import 'dart:isolate';

import 'package:easy_isolate/src/worker.dart';
import 'package:flutter_test/flutter_test.dart';

void main() async {
  final worker = Worker();
  worker.init(
    (dynamic data, SendPort isolateSendPort) async {
      if (data is bool && data == true) {
        worker.dispose();
      }
    },
    isolateHandler,
  );
}

Future isolateHandler(
    dynamic data, SendPort mainSendPort, SendErrorFunction onSendError) async {
  await Future.delayed(Duration(seconds: 1));
  print('Still processing');
  await Future.delayed(Duration(seconds: 1));
  print('Still processing');
  await Future.delayed(Duration(seconds: 1));
  mainSendPort.send(true);
}
